Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005881TestLinkTest Specificationpublic2013-08-30 12:062013-09-08 17:53
Reporteryuri 
Assigned Tofman 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.7 (2013 Q2 - bug fixing) 
Fixed in Version1.9.8 (2013 Q3 - bug fixing) 
Summary0005881: Using Direct links to test cases (linkto.php) doesnt work
DescriptionWhen you use a direct link to test case using icon on the name of the test case
ex:
http://server/linkto.php?tprojectPrefix=DOC&item=testcase&id=DOC-4 [^]

doesnt work.

Log in server throw:
PHP Fatal error: Class 'stdClas' not found in /var/www/html/testlink197/linkto.php
Steps To ReproduceGo to one test specification
Click on Show/Hide Direct Link icon
Click on the link
Additional InformationLooking this file linkto.php

in line 79
  $gui = new stdClas();

note that stdClas is stdClass.
Chaning this line to
  $gui = new stdClass();

all works correctly




TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserMozilla Firefox
PHP Version5.4.17
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0019520)
fman (administrator)
2013-09-08 17:53

1.9.8 released

- Issue History
Date Modified Username Field Change
2013-08-30 12:06 yuri New Issue
2013-08-30 13:53 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-08-30 13:53 fman Status new => resolved
2013-08-30 13:53 fman Fixed in Version => 1.9.8 (2013 Q3 - bug fixing)
2013-08-30 13:53 fman Resolution open => fixed
2013-08-30 13:53 fman Assigned To => fman
2013-09-01 17:14 fman Summary Using Direct links to test cases doesnt work => Using Direct links to test cases (linkto.php) doesnt work
2013-09-08 17:53 fman Note Added: 0019520
2013-09-08 17:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker